Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# jpeg_compress_struct Struct Reference

`#include <jpeglib.h>`

## Data Fields
| jpeg_common_fields
jpeg_destination_mgr * | dest
JDIMENSION | image_width
JDIMENSION | image_height
int | input_components
J_COLOR_SPACE | in_color_space
double | input_gamma
int | data_precision
int | num_components
J_COLOR_SPACE | jpeg_color_space
jpeg_component_info * | comp_info
JQUANT_TBL * | quant_tbl_ptrs [NUM_QUANT_TBLS]
JHUFF_TBL * | dc_huff_tbl_ptrs [NUM_HUFF_TBLS]
JHUFF_TBL * | ac_huff_tbl_ptrs [NUM_HUFF_TBLS]
UINT8 | arith_dc_L [NUM_ARITH_TBLS]
UINT8 | arith_dc_U [NUM_ARITH_TBLS]
UINT8 | arith_ac_K [NUM_ARITH_TBLS]
int | num_scans
const jpeg_scan_info * | scan_info
boolean | raw_data_in
boolean | arith_code
boolean | optimize_coding
boolean | CCIR601_sampling
int | smoothing_factor
J_DCT_METHOD | dct_method
unsigned int | restart_interval
int | restart_in_rows
boolean | write_JFIF_header
UINT8 | JFIF_major_version
UINT8 | JFIF_minor_version
UINT8 | density_unit
UINT16 | X_density
UINT16 | Y_density
boolean | write_Adobe_marker
JDIMENSION | next_scanline
boolean | progressive_mode
int | max_h_samp_factor
int | max_v_samp_factor
JDIMENSION | total_iMCU_rows
int | comps_in_scan
jpeg_component_info * | cur_comp_info [MAX_COMPS_IN_SCAN]
JDIMENSION | MCUs_per_row
JDIMENSION | MCU_rows_in_scan
int | blocks_in_MCU
int | MCU_membership [C_MAX_BLOCKS_IN_MCU]
int | Ss
int | Se
int | Ah
int | Al
jpeg_comp_master * | master
jpeg_c_main_controller * | main
jpeg_c_prep_controller * | prep
jpeg_c_coef_controller * | coef
jpeg_marker_writer * | marker
jpeg_color_converter * | cconvert
jpeg_downsampler * | downsample
jpeg_forward_dct * | fdct
jpeg_entropy_encoder * | entropy
jpeg_scan_info * | script_space
int | script_space_size

## Field Documentation

JHUFF_TBL* ac_huff_tbl_ptrs[NUM_HUFF_TBLS]

| Definition at line 831 of file jpeglib.h.

int Ah

| Definition at line 915 of file jpeglib.h.

int Al

| Definition at line 915 of file jpeglib.h.

UINT8 arith_ac_K[NUM_ARITH_TBLS]

| Definition at line 836 of file jpeglib.h.

boolean arith_code

| Definition at line 846 of file jpeglib.h.

UINT8 arith_dc_L[NUM_ARITH_TBLS]

| Definition at line 834 of file jpeglib.h.

UINT8 arith_dc_U[NUM_ARITH_TBLS]

| Definition at line 835 of file jpeglib.h.

int blocks_in_MCU

| Definition at line 910 of file jpeglib.h.

boolean CCIR601_sampling

| Definition at line 848 of file jpeglib.h.

struct jpeg_color_converter* cconvert

| Definition at line 925 of file jpeglib.h.

struct jpeg_c_coef_controller* coef

| Definition at line 923 of file jpeglib.h.

jpeg_component_info* comp_info

| Definition at line 824 of file jpeglib.h.

int comps_in_scan

| Definition at line 903 of file jpeglib.h.

jpeg_component_info* cur_comp_info[MAX_COMPS_IN_SCAN]

| Definition at line 904 of file jpeglib.h.

int data_precision

| Definition at line 819 of file jpeglib.h.

JHUFF_TBL* dc_huff_tbl_ptrs[NUM_HUFF_TBLS]

| Definition at line 830 of file jpeglib.h.

J_DCT_METHOD dct_method

| Definition at line 850 of file jpeglib.h.

UINT8 density_unit

| Definition at line 869 of file jpeglib.h.

struct jpeg_destination_mgr* dest

| Definition at line 797 of file jpeglib.h.

struct jpeg_downsampler* downsample

| Definition at line 926 of file jpeglib.h.

struct jpeg_entropy_encoder* entropy

| Definition at line 928 of file jpeglib.h.

struct jpeg_forward_dct* fdct

| Definition at line 927 of file jpeglib.h.

JDIMENSION image_height

| Definition at line 805 of file jpeglib.h.

JDIMENSION image_width

| Definition at line 804 of file jpeglib.h.

J_COLOR_SPACE in_color_space

| Definition at line 807 of file jpeglib.h.

int input_components

| Definition at line 806 of file jpeglib.h.

double input_gamma

| Definition at line 809 of file jpeglib.h.

UINT8 JFIF_major_version

| Definition at line 863 of file jpeglib.h.

UINT8 JFIF_minor_version

| Definition at line 864 of file jpeglib.h.

J_COLOR_SPACE jpeg_color_space

| Definition at line 822 of file jpeglib.h.

jpeg_common_fields

| Definition at line 794 of file jpeglib.h.

struct jpeg_c_main_controller* main

| Definition at line 921 of file jpeglib.h.

struct jpeg_marker_writer* marker

| Definition at line 924 of file jpeglib.h.

struct jpeg_comp_master* master

| Definition at line 920 of file jpeglib.h.

int max_h_samp_factor

| Definition at line 889 of file jpeglib.h.

int max_v_samp_factor

| Definition at line 890 of file jpeglib.h.

int MCU_membership[C_MAX_BLOCKS_IN_MCU]

| Definition at line 911 of file jpeglib.h.

JDIMENSION MCU_rows_in_scan

| Definition at line 908 of file jpeglib.h.

JDIMENSION MCUs_per_row

| Definition at line 907 of file jpeglib.h.

JDIMENSION next_scanline

| Definition at line 879 of file jpeglib.h.

int num_components

| Definition at line 821 of file jpeglib.h.

int num_scans

| Definition at line 838 of file jpeglib.h.

boolean optimize_coding

| Definition at line 847 of file jpeglib.h.

struct jpeg_c_prep_controller* prep

| Definition at line 922 of file jpeglib.h.

boolean progressive_mode

| Definition at line 888 of file jpeglib.h.

JQUANT_TBL* quant_tbl_ptrs[NUM_QUANT_TBLS]

| Definition at line 827 of file jpeglib.h.

boolean raw_data_in

| Definition at line 845 of file jpeglib.h.

int restart_in_rows

| Definition at line 858 of file jpeglib.h.

unsigned int restart_interval

| Definition at line 857 of file jpeglib.h.

const jpeg_scan_info* scan_info

| Definition at line 839 of file jpeglib.h.

jpeg_scan_info* script_space

| Definition at line 929 of file jpeglib.h.

int script_space_size

| Definition at line 930 of file jpeglib.h.

int Se

| Definition at line 915 of file jpeglib.h.

int smoothing_factor

| Definition at line 849 of file jpeglib.h.

int Ss

| Definition at line 915 of file jpeglib.h.

JDIMENSION total_iMCU_rows

| Definition at line 892 of file jpeglib.h.

boolean write_Adobe_marker

| Definition at line 872 of file jpeglib.h.

boolean write_JFIF_header

| Definition at line 862 of file jpeglib.h.

UINT16 X_density

| Definition at line 870 of file jpeglib.h.

UINT16 Y_density

| Definition at line 871 of file jpeglib.h.

The documentation for this struct was generated from the following file:

- jpeglib.h